@extends('layouts.app')
@section('htmlheader_title')
{{ $o->name }}
@endsection

@section('content')
	<h1>{{ $o->name }} <small class="push-right">Last Update: {{ $o->updated_at }}</small></h1>

	<div class="accordion accordion-flush" id="accordion_homepage">
		<div class="accordion-item">
			<h3 class="accordion-header" id="about" data-bs-toggle="collapse" data-bs-target="#collapse_about" aria-expanded="true" aria-controls="collapse_about">About</h3>

			<div id="collapse_about" class="accordion-collapse collapse show" aria-labelledby="about" data-bs-parent="#accordion_homepage">
				<div class="accordion-body">
					{!! \Illuminate\Mail\Markdown::parse($o->homepage) !!}
				</div>
			</div>
		</div>

		<div class="accordion-item">
			<h3 class="accordion-header" id="echoareas"  data-bs-toggle="collapse" data-bs-target="#collapse_echoareas" aria-expanded="true" aria-controls="collapse_echoareas">Echo Areas</h3>

			<div id="collapse_echoareas" class="accordion-collapse collapse" aria-labelledby="echoareas" data-bs-parent="#accordion_homepage">
				<div class="accordion-body">
					@if(FALSE)
					@else
						This network doesnt have any Echomail areas (yet). Perhaps you would like to create one?
					@endif
				</div>
			</div>
		</div>

		<div class="accordion-item">
			<h3 class="accordion-header" id="fileareas" data-bs-toggle="collapse" data-bs-target="#collapse_fileareas" aria-expanded="true" aria-controls="collapse_fileareas">File Areas</h3>

			<div id="collapse_fileareas" class="accordion-collapse collapse" aria-labelledby="fileareas" data-bs-parent="#accordion_homepage">
				<div class="accordion-body">
					@if(FALSE)
					@else
						This network doesnt have any File areas (yet). Perhaps you would like to create one?
					@endif
				</div>
			</div>
		</div>

		<div class="accordion-item">
			<h3 class="accordion-header" id="systems" data-bs-toggle="collapse" data-bs-target="#collapse_systems" aria-expanded="true" aria-controls="collapse_systems">Systems</h3>

			<div id="collapse_systems" class="accordion-collapse collapse" aria-labelledby="systems" data-bs-parent="#accordion_homepage">
				<div class="accordion-body">
					<p>The following systems are members of this network.</p>
					<table class="table monotable">
						<thead>
						<tr>
							<th>System</th>
							<th>Sysop</th>
							<th>Location</th>
							<th>Address</th>
							<th>Last Connect</th>
						</tr>
						</thead>

						<tbody>
						@foreach ($o->zones as $oz)
							<!-- First System Zone -->
							<tr>
								<td>{{ $oz->system->name }}</td>
								<td>{{ $oz->system->sysop }}</td>
								<td>{{ $oz->system->location }}</td>
								<td>{{ $oz->zone_id }}:1/0<span>@</span>{{ $oz->domain->name }}</td>
								<td>-</td>
							</tr>

							<!-- Other Nodes -->
						@endforeach
						</tbody>
					</table>
				</div>
			</div>
		</div>
	</div>
@endsection